
// ===================================
// Scanner's Java - Map file interface
// ===================================

package redhorizon.filetypes;

import redhorizon.misc.CNCGameTypes;

/**
 * Interface for files that can contain map data.  Quite often they are similar
 * to the {@link SettingsFile} format, but in some cases (eg: Tiberium Dawn
 * <code>[MapPack]</code> section), they can be stored differently.  This
 * interface gives map files the opportunity to differentiate themselves so that
 * they can be processed by the proper map reader.
 * 
 * @author Emanuel Rabina
 */
public interface MapFile extends SettingsFile {

	/**
	 * Returns the type of game this map is targeted for. (ie: is this a
	 * Tiberium Dawn map, or Red Alert map).
	 * 
	 * @return The gametype depicting the game to use.
	 */
	public CNCGameTypes targetGameType();
}
