
// ========================================
// Scanner's Java - Palette shift interface
// ========================================

package redhorizon.filetypes;

import redhorizon.filetypes.pal.PalFile;

import java.util.Map;

/**
 * Interface outlining methods required to pass as a shift index on the
 * {@link PalFile}.
 * 
 * @author Emanuel Rabina
 */
public interface PaletteShift {

	/**
	 * Returns a map with palette indices (0-255) as the key to the intended
	 * shift value (0-255).
	 * 
	 * @return A mapping of indices to existing palette indices.
	 */
	public Map<Byte,Byte> getShiftMap();

	/**
	 * Returns some sort of name to identify this palette shift.
	 * 
	 * @return Name for this palette shift.
	 */
	public String getShiftName();
}
