
// ===================================================================
// Scanner's Java - Exception for known file formats with unknown bits
// ===================================================================

package redhorizon.filetypes;

/**
 * Exception to be thrown when the {@link FileImplementation#readFromFile()}
 * method is run, but the implementing class encounters some file information
 * that it cannot interpret.
 * 
 * @author Emanuel Rabina
 */
public class UnsupportedFileTypeException extends RuntimeException {

	/**
	 * Constructor, takes an error message as parameter.
	 * 
	 * @param message Additional error message.
	 */
	public UnsupportedFileTypeException(String message) {

		super(message);
	}
}
