
// =========================================
// Scanner's Java - AUD chunk representation
// =========================================

package redhorizon.filetypes.aud;

import redhorizon.utilities.FilePointer;

/**
 * Representation of a chunk of audio data in an AUD file.
 * 
 * @author Emanuel Rabina.
 */
public class AudChunk {

	final short filesize;
	final short datasize;
	final int id;

	/**
	 * Constructor, assigns the variables of this chunk with the given bytes.
	 * 
	 * @param file <code>FilePointer</code> to a chunk section of an AUD file.
	 */
	AudChunk(FilePointer file) {

		filesize = file.readShort();
		datasize = file.readShort();
		id       = file.readInt();
	}
}
