
// ================================
// Scanner's Java - AUD file header
// ================================

package redhorizon.filetypes.aud;

import redhorizon.utilities.FilePointer;

/**
 * Representation of the header section of an AUD file, which contains data on
 * the AUD file and it's contents.
 * 
 * @author Emanuel Rabina
 */
public class AudHeader {

	final short frequency;
	final int filesize;
	final int datasize;
	final byte flags;
	final byte type;

	/**
	 * Constructor, assigns the variables of the header using the bytes from the
	 * given <code>FilePointer</code>.
	 * 
	 * @param file <code>FilePointer</code> to the header portion of an AUD
	 * 			   file.
	 */
	AudHeader(FilePointer file) {

		frequency = file.readShort();
		filesize  = file.readInt();
		datasize  = file.readInt();
		flags     = file.readByte();
		type      = file.readByte();
	}
}
