
// ===============================================
// Scanner's Java - Red Alert template file header
// ===============================================

package redhorizon.filetypes.tmp;

import redhorizon.utilities.FilePointer;

/**
 * Representation of the header used in Red Alert's map tile files.
 * 
 * @author Emanuel Rabina
 */
public class TmpHeaderRA {

	final short width;
	final short height;
	final short numtiles;
	final short unknown1;
	final short tilewidth;
	final short tileheight;
	final int filesize;
	final int imagedata;
	final int unknown2;
	final int unknown3;
	final int index2;
	final int unknown4;
	final int index1;

	/**
	 * Constructor, generates header data from the given
	 * <code>FilePointer</code>.
	 * 
	 * @param file <code>FilePointer</code> to RA template header data.
	 */
	TmpHeaderRA(FilePointer file) {

		width      = file.readShort();
		height     = file.readShort();
		numtiles   = file.readShort();
		unknown1   = file.readShort();
		tilewidth  = file.readShort();
		tileheight = file.readShort();
		filesize   = file.readInt();
		imagedata  = file.readInt();
		unknown2   = file.readInt();
		unknown3   = file.readInt();
		index2     = file.readInt();
		unknown4   = file.readInt();
		index1     = file.readInt();
	}
}
