
// ===================================================================
// Scanner's Java - Representation of the internal VQA palette colours
// ===================================================================

package redhorizon.filetypes.vqa;

import redhorizon.filetypes.pal.PalColour;

import java.nio.ByteBuffer;

/**
 * Representation of a colour in a VQA file's internal palette.  Draws a lot of
 * similarties to the general palette colour representation.
 * 
 * @author Emanuel Rabina
 * @see PalColour
 */
public class VqaColour extends PalColour {

	/**
	 * Constructor, takes the RGB values from the <code>ByteBuffer</code>.
	 * 
	 * @param bytes <code>ByteBuffer</code> of colour data.
	 */
	VqaColour(ByteBuffer bytes) {

		super(bytes);
	}
}
