
// ======================================================
// Scanner's Java - Representation of the VQA offset data
// ======================================================

package redhorizon.filetypes.vqa;

import redhorizon.utilities.FilePointer;

/**
 * Representation of the VQA file's offset data.
 * 
 * @author Emanuel Rabina
 */
public class VqaOffset {

	final int offset;

	/**
	 * Constructor, creates an offset record from the given
	 * <code>FilePointer</code>.
	 * 
	 * @param file <code>FilePointer</code> to a VQA offset record.
	 */
	VqaOffset(FilePointer file) {

		offset = (file.readInt() & 0x3fffffff) << 1;
	}
}
