
// ===============================================
// Scanner's Java - WSA file offset representation
// ===============================================

package redhorizon.filetypes.wsa;

import redhorizon.utilities.FilePointer;

/**
 * Representation of an offset found in WSA files.  Similar to the one found in
 * SHP files, except that it is just 1 reference variable.
 * 
 * @author Emanuel Rabina
 */
public class WsaOffset {

	final int offset;

	/**
	 * Constructor, creates an offset record from the given
	 * <code>FilePointer</code>.
	 * 
	 * @param file <code>FilePointer</code> to a WSA offset record.
	 */
	WsaOffset(FilePointer file) {

		offset = file.readInt();
	}
}
