
// ============================================
// Scanner's Java - Exception in ProgramStrings
// ============================================

package redhorizon.strings;

/**
 * Generic exception for any exceptions that might occur from incorrect use of
 * the {@link ProgramStrings} class.
 *
 * @author Emanuel Rabina
 */
public class ProgramStringsException extends RuntimeException {

	/**
	 * Constructor, takes an error message as parameter.
	 *
	 * @param message Additional error message.
	 */
	public ProgramStringsException(String message) {

		super(message);
	}

	/**
	 * Constructor, takes the original exception and an error message as
	 * parameters.
	 *
	 * @param message Additional error message.
	 * @param cause	  The original exception.
	 */
	public ProgramStringsException(String message, Throwable cause) {

		super(message, cause);
	}
}
