
// =========================================
// Scanner's Java - Exceptions for Converter
// =========================================

package redhorizon.utilities.converter;

/**
 * Generic exception for any exceptions that might occur from the incorrect use
 * of the {@link Converter} class.
 * 
 * @author Emanuel Rabina
 */
public class ConverterException extends RuntimeException {

	/**
	 * Constructor, takes an error message as parameter.
	 *
	 * @param message Additional error message.
	 */
	public ConverterException(String message) {

		super(message);
	}

	/**
	 * Constructor, takes the original exception and an error message as
	 * parameters.
	 *
	 * @param message Additional error message.
	 * @param cause	  The original exception.
	 */
	public ConverterException(String message, Throwable cause) {

		super(message, cause);
	}
}
